Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Oracle Configuration Interface Object API Specification Version: 11.5.10.23.13 Part No: B14186-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.apps.cz.cio
Interface IOptionFeature

All Superinterfaces:
  ICount, IRuntimeNode, IState

All Known Subinterfaces:
  IBomItem

All Known Implementing Classes:
  BomNode, OptionFeatureNode

public interface IOptionFeature
extends IState, ICount

Implemented by objects that contain selectable options. This interface provides a mechansim for selecting and deselecting options, and for determining which options are currently selected.

Field Summary
`static java.lang.String` | `RCS_ID`
`static boolean` | `RCS_ID_RECORDED`

Fields inherited from interface oracle.apps.cz.cio.IState
`FALSE, LFALSE, LTRUE, SELECTABLE, SYSTEM_EXCLUDED, TOGGLE, TRUE, UFALSE, UNKNOWN, UTRUE`

Fields inherited from interface oracle.apps.cz.cio.IRuntimeNode
`ALL_FEATURES, BOM_MODEL, BOM_OPTION_CLASS, BOM_STD_ITEM, BOOLEAN_FEATURE, COMPONENT, COMPONENT_SET, CONNECTOR, COUNT_FEATURE, CURRENT_CHILD, CURRENT_OR_DISCONTINUED_CHILD, DECIMAL_FEATURE, DISCONTINUED_CHILD, EDITABLE, EXTENDED_PASSIVE, IMMEDIATE_PASSIVE, INTEGER_FEATURE, OPTION, OPTION_FEATURE, RESOURCE, SPOOFED, TEXT_FEATURE, TOTAL`

Method Summary
`boolean` | `areOptionsCounted()` Returns `true` if the Feature has counted options.
`void` | `deselect(oracle.apps.cz.cio.IOption option)` Deselect a particular option.
`int` | `getMaxSelected()` Returns the maximum number of selected options.
`int` | `getMinSelected()` Returns the minimum number of selected options.
`com.sun.java.util.collections.List` | `getSelectableChildren()` Returns a `List` of all selectable children.
`oracle.apps.cz.cio.IOption` | `getSelectedOption()` Returns the currently selected option, or `null` if no option is selected.
`com.sun.java.util.collections.List` | `getSelectedOptions()` Returns a, possibly empty, collection of options that are currently selected.
`boolean` | `hasMaxSelected()` Returns true if the Feature specifies a maximum number of selected options.
`boolean` | `hasMinSelected()` Returns true if the Feature specifies a minimum number of selected options.
`boolean` | `isSelectionMutexed()` Returns `true` if this feature supports mutexed selections.
`void` | `select(oracle.apps.cz.cio.IOption option)` Select a particular option.

Methods inherited from interface oracle.apps.cz.cio.IState
`getDetailedSelectionState, getSelectionState, getState, isFalse, isLogic, isTrue, isUnknown, isUser, setState, unset`

Methods inherited from interface oracle.apps.cz.cio.IRuntimeNode
`evaluateUiExpression, getAvailableEventCommands, getCaption, getChildByID, getChildByName, getChildByPersistentID, getChildren, getChildrenByType, getConfigItemID, getConfiguration, getCurrentValue, getDatabaseID, getDeltaValue, getDescription, getDiscontinuedChildren, getDisplayName, getDisplayNamePath, getInstalledValue, getLineType, getLineTypeName, getLoadStatus, getLocationID, getLocationTypeCode, getName, getParent, getPersistentID, getProperties, getPropertyByName, getRootInstance, getRuntimeID, getSelectionLineID, getSummaryChildren, getSummaryValue, getType, hasChildren, hasConfigItemID, hasCount, hasDecimalValue, hasDescription, hasIntegerValue, hasSelectionLineID, hasState, hasTextValue, hasTrackableAncestor, isAddChanged, isAttributeChanged, isChanged, isChildChanged, isDeleteChanged, isDeleted, isDescendantOf, isDiscontinued, isEditable, isEffective, isIBNodeChanged, isIBNodeOrDescendantChanged, isIBTrackable, isLoaded, isLocationChanged, isNameChanged, isNative, isNodeChanged, isQuoteable, isRoot, isRootInstance, isSatisfied, isTargetChanged, isTrackableRoot, isUiVisible, isUnsatisfied, isUnsatisfiedNode, isValid, isValueChanged, setLineType, setLocationID, setLocationTypeCode`

Methods inherited from interface oracle.apps.cz.cio.ICount
`getCount, getDecimalCount, setCount, setDecimalCount`

Field Detail

### RCS_ID

    public static final java.lang.String RCS_ID

### RCS_ID_RECORDED

    public static final boolean RCS_ID_RECORDED

Method Detail

### getSelectableChildren

    public com.sun.java.util.collections.List getSelectableChildren()

  Returns a `List` of all selectable children. Selectable children are all immediate children of type option as well as the indirect children of all instantiable options.

### isSelectionMutexed

    public boolean isSelectionMutexed()

  Returns `true` if this feature supports mutexed selections. When a selection is mutexed, it means that only one of a particular option is selectable at any one time, and selecting one option automatically deselects any other option that is mutexed and currently selected.

### getSelectedOption

    public oracle.apps.cz.cio.IOption getSelectedOption()
                                                 throws SelectionNotMutexedException

  Returns the currently selected option, or `null` if no option is selected.
  Returns:
    the currently selected option.
  Throws:
    `SelectionNotMutexedException` - if this feature does not support mutexed selections.

### getSelectedOptions

    public com.sun.java.util.collections.List getSelectedOptions()

  Returns a, possibly empty, collection of options that are currently selected.

### select

    public void select(oracle.apps.cz.cio.IOption option)
                throws LogicalException

  Select a particular option.
  Parameters:
    `option` - the option to be selected.
    `LogicalException`

### deselect

    public void deselect(oracle.apps.cz.cio.IOption option)
                  throws LogicalException

  Deselect a particular option.
  Parameters:
    `option` - the option to be de selected.
    `LogicalException`

### hasMinSelected

    public boolean hasMinSelected()

  Returns true if the Feature specifies a minimum number of selected options.

### getMinSelected

    public int getMinSelected()

  Returns the minimum number of selected options.

### hasMaxSelected

    public boolean hasMaxSelected()

  Returns true if the Feature specifies a maximum number of selected options.

### getMaxSelected

    public int getMaxSelected()

  Returns the maximum number of selected options.

### areOptionsCounted

    public boolean areOptionsCounted()

  Returns `true` if the Feature has counted options. You set counted options for a Feature in Developer, by checking the Counted Options check box.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Oracle Configuration Interface Object API Specification Version: 11.5.10.23.13 Part No: B14186-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1999, 2004, Oracle. All rights reserved. Oracle is a registered trademark of Oracle Corporation and/or its affiliates. Other names may be trademarks of their respective owners.